<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>添加员工信息</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
    <style>
        img {
            width: 40%;
            height: 30%;
        }
    </style>
</head>
<body>

<div class="layui-fluid">
    <div class="layui-row layui-col-space15">
        <div class="layui-card">

            <div class="layui-card-body" pad15>
                <form class="layui-form" action="" lay-filter="component-form-element">
                    <div class="layui-row layui-col-space10 layui-form-item">
                        <div>
                            <label class="layui-form-label"><font color='red' size="4">*</font>品牌：</label>
                            <div class="layui-input-block">
                                <select id="id_brand" name="brand" lay-verify="required">
                                </select>
                            </div>
                        </div>
                        <div>
                            <label class="layui-form-label"><font color='red' size="4">*</font>名称：</label>
                            <div class="layui-input-block">
                                <input type="text" name="name" lay-verify="required" placeholder="请输入名称"
                                       autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-col-lg6">
                            <label class="layui-form-label">热门：</label>
                            <div class="layui-input-block">
                                <input type="checkbox" name="is_hot" lay-skin="switch" lay-text="是|否"
                                       value="1">
                            </div>
                        </div>
                        <div>
                            <label class="layui-form-label">在用：</label>
                            <div class="layui-input-block">
                                <input type="checkbox" name="enabled" lay-skin="switch" lay-text="是|否" checked=""
                                       value="1">
                            </div>
                        </div>
                        <div>
                            <label class="layui-form-label">备注：</label>
                            <div class="layui-input-block">
                                <input type="text" name="notes" placeholder="请输入备注" autocomplete="off"
                                       class="layui-input">
                            </div>
                        </div>
                        <div>
                            <label class="layui-form-label">最低价：</label>
                            <div class="layui-input-block">
                                <input type="text" name="min_price" placeholder="请输入" lay-verify="numberGez"
                                       autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div>
                            <label class="layui-form-label">车系展示：</label>
                            <div class="layui-input-block">
                                <button type="button" class="layui-btn-sm" id="up_series_image">上传图片</button>
                                <br><br>
                                <img class="layui-upload-img" id="series_img">
                            </div>
                        </div>
                        <button id="id_save" class="layui-btn" lay-submit lay-filter="component-form-element"
                                style="display: none">保存
                        </button>
                        <button class="layui-btn" type="button" id="upload_image" style="display: none"></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<script src="../../layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '../../../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index',
    }).use(['index', 'form', 'utils', 'upload'], function () {
        var $ = layui.$
            , admin = layui.admin
            , upload = layui.upload
            , form = layui.form;
        var id = layui.view.getParameterByName('id');

        admin.req({
            url: '/vehicle/dict/',
            done: function (res) {
                var brand = res.data.brand;
                var brand_node = $('#id_brand');
                for (var i in brand) {
                    var pid = brand[i].id;
                    var value = brand[i].name;
                    brand_node.append("<option value='" + pid + "'>" + value + "</option>");
                }
                form.render();
                loadData();
            }
        });
        var loadData = function () {
            if (id) {
                var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
                form.val("component-form-element", editdata);
                if (editdata.img_url) {
                    $('#series_img').attr('src', editdata.img_url);
                }
            }
        };
        form.render(null, 'component-form-element');

        var form_data = {field: {}};

        if (id) {
            var url = '/vehicle/series/' + id + '/update_series/';
        } else {
            url = '/vehicle/series/';
        }
        upload.render({
            elem: '#up_series_image',
            url: url,
            auto: false,
            field: 'image',
            bindAction: '#upload_image',
            choose: function (obj) {
                obj.preview(
                    function (index, file, result) {
                        $('#series_img').attr('src', result);
                    }
                );
            },
            data: {
                brand: function () {
                    return form_data.field.brand;
                },
                name: function () {
                    return form_data.field.name;
                },
                min_price: function () {
                    return form_data.field.min_price;
                },
                notes: function () {
                    return form_data.field.notes;
                },
                is_hot: function () {
                    if (form_data.field.is_hot) {
                        return form_data.field.is_hot;
                    } else {
                        return '0'
                    }
                },
                enabled: function () {
                    if (form_data.field.enabled) {
                        return form_data.field.enabled;
                    } else {
                        return '0'
                    }
                }
            },
            done: function (res) {
                if (res.code != 0) {
                    layer.msg(res.msg);
                } else {
                    parent.layui.onSubmitChild(res.data);
                }
            },
            error: function () {
                layer.msg('保存失败');
            }
        });

        form.on('submit(component-form-element)', function (data) {
            //layer.msg(JSON.stringify(data.field));
            if (data.field.image) {
                form_data = data;
                $('#upload_image').click();
            } else {
                admin.req({
                    url: url
                    , data: data.field
                    , type: 'post'
                    , done: function (res) {
                        parent.layui.onSubmitChild(res.data);
                    }
                });
            }

            return false;
        });

        parent.layui.submitChild = function () {
            $("#id_save").click();
        };
    });
</script>
</body>
</html>
